Skip to content

Users

End of Sale Announcement

Effective May 1, 2026, Okta will no longer sell or renew Advanced Server Access. Existing customers must migrate to Okta Privileged Access within one year of their next scheduled renewal date to maintain service. Read the FAQ | Learn about Okta Privileged Access

Retrieve information about the current User

Request

Retrieves information about the User that is invoking the API

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/current_user' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-onlyrequired

The UUID of the User

namestring, [ 1 .. 255 ] charactersread-onlyrequired

The name of the User

team_namestringread-onlyrequired

The name of the Team

Response
{ "id": "305b1bd8-b783-4351-a2b6-204248c9ea46", "name": "Jason.Compson.IV", "team_name": "william-faulkner" }